//+------------------------------------------------------------------+
//|                                    HLHB Trend-Catcher System.mq4 |
//|                        Copyright 2020, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2020, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
extern int TakeProfit = 200;
extern int StopLoss = 50;
extern int FastMA = 5;
extern int SlowMA = 10;
extern int RSI = 10;
extern double  LotSize = 0.1;

int OnInit()
  {
//---
//---
   return(INIT_SUCCEEDED);
 }

void OnDeinit(const int reason)
  {
//---   
  }

void OnTick()
  {
double PreviousSlowMA = iMA(NULL,0,SlowMA,0,MODE_EMA,PRICE_CLOSE,2);
double CurrentSlowMA = iMA(NULL,0,SlowMA,0,MODE_EMA,PRICE_CLOSE,1);
double PreviousFastMA = iMA(NULL,0,FastMA,0,MODE_EMA,PRICE_CLOSE,2);
double CurrentFastMA = iMA(NULL,0,FastMA,0, MODE_EMA,PRICE_CLOSE,1);
double PreviousRSI = iRSI(NULL,0,RSI,PRICE_MEDIAN,2);
double CurrentRSI = iRSI(NULL,0,RSI,PRICE_MEDIAN,1);
    
  if(PreviousFastMA < PreviousSlowMA && CurrentFastMA > CurrentSlowMA)
  if(PreviousRSI < 50.0 && CurrentRSI < 50.0)
  {
  OrderSelect(0,SELECT_BY_POS);
  OrderClose(OrderTicket(),1,Ask,100,clrBlack);
  OrderSend(Symbol(),OP_BUY,LotSize,Ask,100,Ask-(StopLoss*Point),Ask+(TakeProfit*Point),NULL,0,0,clrAliceBlue); 
  
  }
  if(PreviousFastMA > PreviousSlowMA && CurrentFastMA < CurrentSlowMA)
  if(PreviousRSI > 50.0 && CurrentRSI > 50.0)
  {
  OrderSelect(0,SELECT_BY_POS);
  OrderClose(OrderTicket(),1,Bid,100,clrBlack);
  OrderSend(Symbol(),OP_SELL,LotSize,Bid,100,Bid+(StopLoss*Point),Bid-(TakeProfit*Point),NULL,0,0,clrAliceBlue); 
  
  }
  return;
  }
//+------------------------------------------------------------------+
